function patchesTidy = tidyup_patches(patches)
% patchesTidy = tidyUp_patches(patches)

[coeff, scores] = cellfun(@(x) (princomp(x')), {patches.pnts}, 'UniformOutput', false);

means = cellfun(@(x) (mean(abs(x(:,3)))), scores, 'UniformOutput', false);
means = [means{1:end}];

[bins, values] = hist(means);

[mi, indx] = min(bins);
threshold = values(indx);

patchesTidy = patches(find(means < threshold));


