function frame = backprojection(fr, camType)
%frame = backprojection(fr, camType)

frame = fr;
distances = frame.distances;
distances = reshape(distances, camType.width, camType.height)';
xHelp = 0;
yHelp = 0;
distLocal = 0;
scale = 0;
v1 = 0;
v2 = 0;
v3 = 0;

j=0;
i=0;
while(j<camType.height)   
    
    i=0;
    
    while(i<camType.width)
            
        xHelp = (i-camType.principalPoint(1))*camType.pixelWidth;     
        yHelp = (j-camType.principalPoint(2))*camType.pixelHeight*(-1);
  
        distLocal = sqrt((camType.focalLength)^2 + xHelp^2 + yHelp^2);
 
        scale = (distances(j+1,i+1) / distLocal) + 1;
            
        v1 = xHelp * scale; 
        v2 = yHelp * scale;   
        v3 = camType.focalLength * scale;
   
        frame.points3D = [frame.points3D [v1; v2; v3]];
        frame.points3D_org = [frame.points3D_org [v1; v2; v3]];
        
        i=i+1;
        
    end
    
    j=j+1;
    
end