function colors = dis2color(pnts)
% colors = dis2color(pnts)

dis = pnts(3,:);
minDis = min(dis);
maxDis = max(dis);

colors = zeros(3, size(pnts, 2));
map = colormap(jet);
%map = map(end:-1:1,:);

step = (maxDis - minDis) / (size(map, 1)-1);
steps = minDis:step:maxDis;

i=2;
while(i <= size(map, 1))
    
    pos = find(dis >= steps(i-1) & dis < steps(i));
    
    colors(:, pos) = repmat(map(i, :)', 1, length(pos));
    
    i = i+1;
    
end
