function srMatrix = frame2srdat(frame, camType)
% srMatrix = frame2srdat(frame, camType)

x = frame.points3D_org(1,:) / 1000;
y = frame.points3D_org(2,:) / 1000;
z = frame.points3D_org(3,:) / 1000;
amp = frame.amplitudes;

x = reshape(x, camType.width, [])';
y = reshape(y, camType.width, [])';
z = reshape(z, camType.width, [])';
amp = reshape(amp, camType.width, [])';

u = zeros(1, camType.width*camType.height);
u(frame.usage) = 1;
u = reshape(u, camType.width, [])';

srMatrix = [z; x; y; amp; u];
