function save_3Dpoints(points3D, filename)
% save_3Dpoints(points3D, filename)
%
% points3D has to have the following structure:
%             | p1x p2x p3x p4x ... |
% points 3D = | p1y p2y p3y p4y ... |
%             | p1z p2z p3z p4z ... |

points = points3D;
n = length(points);

%transformation of z-values to negative values, because of the display
%settings of viewer (ptcvis)
points(3,:) = points(3,:)*-1;

points = reshape(points, 1, 3*n);
%points = [camType.height camType.width points];
points = [1 n points];

fid = fopen(filename, 'w');
fprintf(fid, '%g ', points);
fclose(fid);

